MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029599Open CASCADE[OCCT] OCCT:Data Exchangepublic2018-03-20 16:032019-02-14 12:00
Reporterika 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029599: Data Exchange - Incorrect expand compound method in XDE
DescriptionExpand compound has different problems:

- wrong location for subshapes
- wrong sharing for new parts
- corrupt names of components
Steps To Reproducebugs xde bug29599
TagsNo tags attached.
Test case numberbugs xde bug29599
Attached Files? file icon bug29599.xbf (78,327 bytes) 2018-03-20 17:01

- Relationships
parent of 0029888verifiedbugmaster Open CASCADE [Regression] Data Exchange - XCAFDoc_Editor::Expand() removes names 

-  Notes
(0074710)
git (administrator)
2018-03-20 17:01

Branch CR29599 has been created by ika.

SHA-1: 430d7c4f6ec53d452ee332fb984ca5d926a114e0


Detailed log of new commits:

Author: ika
Date: Fri Mar 16 16:18:10 2018 +0300

    0029599: Data Exchange - Incorrect expand compound method in XDE
    
    Fix sharing and calculating location for subshapes
    Switch off autonaming for expand
(0074753)
git (administrator)
2018-03-22 11:20

Branch CR29599 has been updated forcibly by ika.

SHA-1: 8921d1c7fce743b4b044870264475a15e628a585
(0074815)
ika (developer)
2018-03-23 12:41

Dear GKA,
could you please review branch CR29599?

The changes are:
1. several improvements in subshapes processing in ShapeTool
2. heal expand compound method, according to problems from description
3. update test cases improvement in Products (cased by item 1)

Test results:
http://occt-tests/CR29599-CR29599-ika-OCCT/Windows-64-VC10/diff_summary.html [^]
http://occt-tests/CR29599-CR29599-ika-OCCT/Debian70-64/diff_summary.html [^]
http://occt-tests/CR29599-CR29599-ika-Products/Windows-64-VC10/diff_summary.html [^]
http://occt-tests/CR29599-CR29599-ika-Products/Debian70-64/diff_summary.html [^]

All mentioned in image differences test cases are not affected by changes in this issue.
(0074829)
gka (developer)
2018-03-23 15:21

Branch CR29599 was reviewed
(0074933)
bugmaster (administrator)
2018-03-26 16:27

Combination -
OCCT branch : CR29599 SHA - 8921d1c7fce743b4b044870264475a15e628a585
Products branch : CR29599 SHA - 8b05a2139a645b18e0073bdd5401b79f859d651e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 18081.93999999984 / 18107.97999999989 [-0.14%]
Products
Total CPU difference: 7429.269999999998 / 7427.039999999995 [+0.03%]
Windows-64-VC10:
OCCT
Total CPU difference: 17834.64272389865 / 17842.61437499857 [-0.04%]
Products
Total CPU difference: 8098.72951459999 / 8148.135031299978 [-0.61%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0075333)
git (administrator)
2018-04-11 11:00

Branch CR29599 has been deleted by kgv.

SHA-1: 8921d1c7fce743b4b044870264475a15e628a585

- Related Changesets
occt: master bc728d26
Timestamp: 2018-03-16 13:18:10
Author: ika
Committer: bugmaster
Details ] Diff ]
0029599: Data Exchange - Incorrect expand compound method in XDE

Improve processing of subshapes in ShapeTool
Fix sharing and calculating location for subshapes
Switch off autonaming for expand
mod - src/XCAFDoc/XCAFDoc_Editor.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.hxx Diff ] File ]
add - tests/bugs/xde/bug29599 Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-20 16:03 ika New Issue
2018-03-20 16:03 ika Assigned To => ika
2018-03-20 17:01 ika File Added: bug29599.xbf
2018-03-20 17:01 git Note Added: 0074710
2018-03-22 11:20 git Note Added: 0074753
2018-03-23 12:41 ika Note Added: 0074815
2018-03-23 12:41 ika Assigned To ika => gka
2018-03-23 12:41 ika Status new => resolved
2018-03-23 12:41 ika Steps to Reproduce Updated View Revisions
2018-03-23 15:21 gka Note Added: 0074829
2018-03-23 15:21 gka Assigned To gka => bugmaster
2018-03-23 15:21 gka Status resolved => reviewed
2018-03-26 13:49 bugmaster Test case number => bugs xde bug29599
2018-03-26 16:27 bugmaster Note Added: 0074933
2018-03-26 16:27 bugmaster Status reviewed => tested
2018-03-27 11:14 ika Relationship added parent of 0029650
2018-03-28 10:48 ika Target Version 7.4.0* => 7.3.0
2018-04-11 07:49 bugmaster Changeset attached => occt master bc728d26
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075333
2018-06-20 21:21 kgv Relationship added parent of 0029888
2018-06-29 21:13 aiv Fixed in Version => 7.3.0
2018-06-29 21:18 aiv Status verified => closed
2019-02-14 12:00 bugmaster Project Internal => Open CASCADE


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker